GHC.Windows

# Types

type BOOL

type LPBOOL

type BYTE

type DWORD

type UINT

type ErrCode

type HANDLE

type LPWSTR

type LPTSTR

# Constants

iNFINITE

iNVALID_HANDLE_VALUE

# System errors

throwGetLastError

failWith

getErrorMessage

errCodeToIOError

## Guards for system calls that might fail

failIf

failIf_

failIfNull

failIfZero

failIfFalse_

failUnlessSuccess

failUnlessSuccessOr

## Mapping system errors to errno